# Uses of Class
java.awt.Insets

Packages that use Insets
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.border
Provides classes and interface for drawing specialized borders around a Swing component.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.nimbus
Provides user interface objects built according to the cross-platform Nimbus look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Insets in java.awt

Fields in java.awt declared as Insets
Modifier and Type
Field
Description
`Insets`
GridBagConstraints.`insets`
This field specifies the external padding of the component, the minimum amount of space between the component and the edges of its display area.
Methods in java.awt that return Insets
Modifier and Type
Method
Description
`Insets`
Container.`getInsets()`
Determines the insets of this container, which indicate the size of the container's border.
`Insets`
Toolkit.`getScreenInsets(GraphicsConfiguration gc)`
Gets the insets of the screen.
`Insets`
Container.`insets()`
Deprecated.
As of JDK version 1.1, replaced by `getInsets()`.
Constructors in java.awt with parameters of type Insets
Modifier
Constructor
Description
``
`GridBagConstraints(int gridx, int gridy, int gridwidth, int gridheight, double weightx, double weighty, int anchor, int fill, Insets insets, int ipadx, int ipady)`
Creates a `GridBagConstraints` object with all of its fields set to the passed-in arguments.

## Uses of Insets in java.awt.dnd

Methods in java.awt.dnd that return Insets
Modifier and Type
Method
Description
`Insets`
Autoscroll.`getAutoscrollInsets()`
This method returns the `Insets` describing the autoscrolling region or border relative to the geometry of the implementing Component.

## Uses of Insets in javax.swing

Methods in javax.swing that return Insets
Modifier and Type
Method
Description
`Insets`
JComponent.`getInsets()`
If a border has been set on this component, returns the border's insets; otherwise calls `super.getInsets`.
`Insets`
JComponent.`getInsets(Insets insets)`
Returns an `Insets` object containing this component's inset values.
`final Insets`
JViewport.`getInsets()`
Returns the insets (border) dimensions as (0,0,0,0), since borders are not supported on a `JViewport`.
`final Insets`
JViewport.`getInsets(Insets insets)`
Returns an `Insets` object containing this `JViewport`s inset values.
`Insets`
UIDefaults.`getInsets(Object key)`
If the value of `key` is an `Insets` return it, otherwise return `null`.
`Insets`
UIDefaults.`getInsets(Object key, Locale l)`
If the value of `key` for the given `Locale` is an `Insets` return it, otherwise return `null`.
`static Insets`
UIManager.`getInsets(Object key)`
Returns an `Insets` object from the defaults.
`static Insets`
UIManager.`getInsets(Object key, Locale l)`
Returns an `Insets` object from the defaults that is appropriate for the given locale.
`Insets`
AbstractButton.`getMargin()`
Returns the margin between the button's border and the label.
`Insets`
JMenuBar.`getMargin()`
Returns the margin between the menubar's border and its menus.
`Insets`
JPopupMenu.`getMargin()`
Returns the margin, in pixels, between the popup menu's border and its containers.
`Insets`
JToolBar.`getMargin()`
Returns the margin between the tool bar's border and its buttons.
Methods in javax.swing with parameters of type Insets
Modifier and Type
Method
Description
`Insets`
JComponent.`getInsets(Insets insets)`
Returns an `Insets` object containing this component's inset values.
`final Insets`
JViewport.`getInsets(Insets insets)`
Returns an `Insets` object containing this `JViewport`s inset values.
`void`
AbstractButton.`setMargin(Insets m)`
Sets space for margin between the button's border and the label.
`void`
JMenuBar.`setMargin(Insets m)`
Sets the margin between the menubar's border and its menus.
`void`
JToolBar.`setMargin(Insets m)`
Sets the margin between the tool bar's border and its buttons.

## Uses of Insets in javax.swing.border

Methods in javax.swing.border that return Insets
Modifier and Type
Method
Description
`Insets`
AbstractBorder.`getBorderInsets(Component c)`
This default implementation returns a new `Insets` object that is initialized by the `AbstractBorder.getBorderInsets(Component,Insets)` method.
`Insets`
AbstractBorder.`getBorderInsets(Component c, Insets insets)`
Reinitializes the insets parameter with this Border's current Insets.
`Insets`
BevelBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
Border.`getBorderInsets(Component c)`
Returns the insets of the border.
`Insets`
CompoundBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
EmptyBorder.`getBorderInsets()`
Returns the insets of the border.
`Insets`
EmptyBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
EtchedBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
LineBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
MatteBorder.`getBorderInsets()`
Returns the insets of the border.
`Insets`
MatteBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
SoftBevelBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
StrokeBorder.`getBorderInsets(Component c, Insets insets)`
Reinitializes the `insets` parameter with this border's current insets.
`Insets`
TitledBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
Methods in javax.swing.border with parameters of type Insets
Modifier and Type
Method
Description
`Insets`
AbstractBorder.`getBorderInsets(Component c, Insets insets)`
Reinitializes the insets parameter with this Border's current Insets.
`Insets`
BevelBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
CompoundBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
EmptyBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
EtchedBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
LineBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
MatteBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
SoftBevelBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Insets`
StrokeBorder.`getBorderInsets(Component c, Insets insets)`
Reinitializes the `insets` parameter with this border's current insets.
`Insets`
TitledBorder.`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
Constructors in javax.swing.border with parameters of type Insets
Modifier
Constructor
Description
``
`EmptyBorder(Insets borderInsets)`
Creates an empty border with the specified insets.
``
`MatteBorder(Insets borderInsets, Color matteColor)`
Creates a matte border with the specified insets and color.
``
`MatteBorder(Insets borderInsets, Icon tileIcon)`
Creates a matte border with the specified insets and tile icon.

## Uses of Insets in javax.swing.plaf

Subclasses of Insets in javax.swing.plaf
Modifier and Type
Class
Description
`class`
`InsetsUIResource`
A subclass of Insets that implements UIResource.
Methods in javax.swing.plaf that return Insets
Modifier and Type
Method
Description
`Insets`
BorderUIResource.`getBorderInsets(Component c)`
Constructors in javax.swing.plaf with parameters of type Insets
Modifier
Constructor
Description
``
`EmptyBorderUIResource(Insets insets)`
Constructs an `EmptyBorderUIResource`.

## Uses of Insets in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as Insets
Modifier and Type
Field
Description
`protected Insets`
BasicTabbedPaneUI.`contentBorderInsets`
Content border insets
`protected Insets`
BasicSliderUI.`focusInsets`
Focus insets
`protected Insets`
BasicSliderUI.`insetCache`
Inset cache
`protected Insets`
BasicComboBoxUI.`padding`
If specified, these insets act as padding around the cell renderer when laying out and painting the "selected" item in the combo box.
`protected Insets`
BasicTabbedPaneUI.`selectedTabPadInsets`
Selected tab insets
`protected Insets`
BasicTabbedPaneUI.`tabAreaInsets`
Tab area insets
`protected Insets`
BasicTabbedPaneUI.`tabInsets`
Tab insets
Methods in javax.swing.plaf.basic that return Insets
Modifier and Type
Method
Description
`Insets`
BasicBorders.SplitPaneBorder.`getBorderInsets(Component c)`
`protected Insets`
BasicTabbedPaneUI.`getContentBorderInsets(int tabPlacement)`
Returns the content border insets.
`static Insets`
BasicGraphicsUtils.`getEtchedInsets()`
Returns the amount of space taken up by a border drawn by `drawEtchedRect()`
`static Insets`
BasicGraphicsUtils.`getGrooveInsets()`
Returns the amount of space taken up by a border drawn by `drawGroove()`
`protected Insets`
BasicComboBoxUI.`getInsets()`
Gets the insets from the JComboBox.
`Insets`
BasicDesktopIconUI.`getInsets(JComponent c)`
Returns the insets.
`Insets`
BasicSplitPaneDivider.`getInsets()`
If a border has been set on this component, returns the border's insets, else calls super.getInsets.
`Insets`
BasicSplitPaneUI.`getInsets(JComponent jc)`
Returns the insets.
`protected Insets`
BasicTabbedPaneUI.`getSelectedTabPadInsets(int tabPlacement)`
Returns the selected tab pad insets.
`protected Insets`
BasicTabbedPaneUI.`getTabAreaInsets(int tabPlacement)`
Returns the tab area insets.
`protected Insets`
BasicTabbedPaneUI.`getTabInsets(int tabPlacement, int tabIndex)`
Returns the tab insets.
Methods in javax.swing.plaf.basic with parameters of type Insets
Modifier and Type
Method
Description
`protected int`
BasicProgressBarUI.`getAmountFull(Insets b, int width, int height)`
This determines the amount of the progress bar that should be filled based on the percent done gathered from the model.
`protected int`
BasicSplitPaneUI.BasicHorizontalLayoutManager.`getAvailableSize(Dimension containerSize, Insets insets)`
Returns the available width based on the container size and `Insets`.
`protected int`
BasicSplitPaneUI.BasicHorizontalLayoutManager.`getInitialLocation(Insets insets)`
Returns the left inset, unless the `Insets` are null in which case 0 is returned.
`protected void`
BasicTreeUI.`paintExpandControl(Graphics g, Rectangle clipBounds, Insets insets, Rectangle bounds, TreePath path, int row, boolean isExpanded, boolean hasBeenExpanded, boolean isLeaf)`
Paints the expand (toggle) part of a row.
`protected void`
BasicTreeUI.`paintHorizontalPartOfLeg(Graphics g, Rectangle clipBounds, Insets insets, Rectangle bounds, TreePath path, int row, boolean isExpanded, boolean hasBeenExpanded, boolean isLeaf)`
Paints the horizontal part of the leg.
`protected void`
BasicTreeUI.`paintRow(Graphics g, Rectangle clipBounds, Insets insets, Rectangle bounds, TreePath path, int row, boolean isExpanded, boolean hasBeenExpanded, boolean isLeaf)`
Paints the renderer part of a row.
`protected void`
BasicProgressBarUI.`paintString(Graphics g, int x, int y, int width, int height, int amountFull, Insets b)`
Paints the progress string.
`protected void`
BasicTreeUI.`paintVerticalPartOfLeg(Graphics g, Rectangle clipBounds, Insets insets, TreePath path)`
Paints the vertical part of the leg.
`protected static void`
BasicTabbedPaneUI.`rotateInsets(Insets topInsets, Insets targetInsets, int targetPlacement)`
Rotates the insets.
`protected void`
BasicSplitPaneUI.BasicHorizontalLayoutManager.`setComponentToSize(Component c, int size, int location, Insets insets, Dimension containerSize)`
Sets the width of the component `c` to be `size`, placing its x location at `location`, y to the `insets.top` and height to the `containerSize.height` less the top and bottom insets.

## Uses of Insets in javax.swing.plaf.metal

Fields in javax.swing.plaf.metal declared as Insets
Modifier and Type
Field
Description
`protected static Insets`
MetalBorders.ButtonBorder.`borderInsets`
The border insets.
`protected static Insets`
MetalBorders.MenuBarBorder.`borderInsets`
The border insets.
`protected static Insets`
MetalBorders.MenuItemBorder.`borderInsets`
The border insets.
`protected static Insets`
MetalBorders.PopupMenuBorder.`borderInsets`
The border insets.
`protected Insets`
MetalBorders.TableHeaderBorder.`editorBorderInsets`
The border insets.
`protected static Insets`
MetalComboBoxEditor.`editorBorderInsets`
The default editor border `Insets`.

## Uses of Insets in javax.swing.plaf.nimbus

Methods in javax.swing.plaf.nimbus that return Insets
Modifier and Type
Method
Description
`Insets`
NimbusStyle.`getInsets(SynthContext ctx, Insets in)`
Returns the Insets that are used to calculate sizing information.
Methods in javax.swing.plaf.nimbus with parameters of type Insets
Modifier and Type
Method
Description
`Insets`
NimbusStyle.`getInsets(SynthContext ctx, Insets in)`
Returns the Insets that are used to calculate sizing information.
Constructors in javax.swing.plaf.nimbus with parameters of type Insets
Modifier
Constructor
Description
``
`PaintContext(Insets insets, Dimension canvasSize, boolean inverted)`
Creates a new PaintContext which does not attempt to cache or scale any cached images.
``
`PaintContext(Insets insets, Dimension canvasSize, boolean inverted, AbstractRegionPainter.PaintContext.CacheMode cacheMode, double maxH, double maxV)`
Creates a new PaintContext.

## Uses of Insets in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth that return Insets
Modifier and Type
Method
Description
`Insets`
SynthStyle.`getInsets(SynthContext context, Insets insets)`
Returns the Insets that are used to calculate sizing information.
Methods in javax.swing.plaf.synth with parameters of type Insets
Modifier and Type
Method
Description
`Insets`
SynthStyle.`getInsets(SynthContext context, Insets insets)`
Returns the Insets that are used to calculate sizing information.

## Uses of Insets in javax.swing.text

Methods in javax.swing.text that return Insets
Modifier and Type
Method
Description
`Insets`
JTextComponent.`getMargin()`
Returns the margin between the text component's border and its text.
Methods in javax.swing.text with parameters of type Insets
Modifier and Type
Method
Description
`void`
JTextComponent.`setMargin(Insets m)`
Sets margin space between the text component's border and its text.